Create Donation

​

Creates a donation for a user based on the selected social cause campaign

Headers

  • The signature for the API call

  • Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • Advertises which content types the client is able to understand

  • Set this header to application/json.

  • Used to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.

Body

application/json
  • OAuth client ID provided by the business

  • Type of donation that a user wants to make. Currently, Punchh supports donation of the following objects:

    • currency: For businesses that supports banked currency
    • reward: Available rewards of a user
    • redeemable: Loyalty redeemables for a business that supports points unlock redeemables
    • card: Redeemable cards for visit-based businesses
  • Provide the value that corresponds to the donation type:

    1. currency: Dollar amount that will be donated
    2. reward: ID of the reward that will be donated
    3. redeemable: ID of the redeemable that will be donated
    4. card: Pass the string card
  • Unique ID assigned to a social cause campaign. This ID is generated by Punchh when the social cause campaign is created in the Punchh platform.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/api2/mobile/social_causes
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/social_causes \
  --request POST \
  --header 'x-pch-digest: {{$$.env.signature}}' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
  --data '{
  "client": "CLIENT_GOES_HERE",
  "social_cause_id": "1901",
  "donation_type": "currency",
  "item_to_donate": 2
}'
[
  {
    "0": "$2.00 donated to Social Cause Campaign One."
  }
]